# Image

class `praw.models.``Image`(reddit, _data)

  Class to represent an image that’s part of a `ImageWidget`.

  Typical Attributes

  This table describes attributes that typically belong to objects of this class. Since attributes are dynamically provided (see Determine Available Attributes of an Object), there is not a guarantee that these attributes will always be present, nor is this list comprehensive in any way.

  Attribute | Description
  --- | ---
  `height` | Image height.
  `linkUrl` | A link that can be visited by clicking the image.
  `url` | The URL of the (Reddit-hosted) image.
  `width` | Image width.

  `__init__`(reddit, _data)

    Initialize a PRAWModel instance.

    Parameters: | reddit – An instance of `Reddit`.

  classmethod `parse`(data, reddit)

    Return an instance of `cls` from `data`.

    Parameters:

    - data – The structured data.
    - reddit – An instance of `Reddit`.